

public class FeatureRanges {
	
	
	
	public FeatureRanges() { ; };
	
	public double getScaledValue(String feature, double oValue ) {
		double sValue=0.0;
		
		
		return sValue;
	}
	
	
    public double normalizeFeature(double oValue, int featureIndex) {
    	double scaledValue =0.0;    	
    	double lower = 0.0, upper = 1.0;
    	 
    	scaledValue = lower + (upper-lower) * ( (oValue - oMin) / ( oMax - oMin ) );
    	scaledValue = scaledValue <= upper ? scaledValue : upper;
    	scaledValue = scaledValue >= lower ? scaledValue : lower;
    	
    	return scaledValue;
    }

}